Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.wireless.me.core
Class ServiceFactory

    java.lang.Object
      oracle.wireless.me.core.ServiceFactory

public final class ServiceFactory
extends java.lang.Object

ServiceFactory class provides a factory for the creation of Service objects, which represent web services.

Version:
  1.0
See Also:
  `Service`

Method Summary
`Service` | `createService(java.lang.String url, java.lang.String serviceName)` Deprecated. Use the method that specifies the namespace: `createService(String, String, String)`.
`Service` | `createService(java.lang.String url, java.lang.String namespace, java.lang.String serviceName)` Creates a Service object in the given namespace for sending service requests to iAS Wireless J2ME Proxy Server.
`static ServiceFactory` | `getInstance()` Get an instance of ServiceFactory.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ServiceFactory getInstance()

  Get an instance of ServiceFactory.

  Returns:
    ServiceFactory instance

### createService

    public Service createService(java.lang.String url,
                                 java.lang.String serviceName)

  Deprecated. Use the method that specifies the namespace: `createService(String, String, String)`.

  Creates a Service object in the default namespace for sending service requests to iAS Wireless J2ME Proxy Server. Service object is used to create Call objects, which can make remote procedure calls to this service.

  Parameters:
    `url` - String containing the URL to the J2ME proxy server where this web service is registered
    `serviceName` - String containing the name of the Service to create.
  Returns:
    Service object representing a web service registered in the J2ME proxy server.

### createService

    public Service createService(java.lang.String url,
                                 java.lang.String namespace,
                                 java.lang.String serviceName)

  Creates a Service object in the given namespace for sending service requests to iAS Wireless J2ME Proxy Server. Service object is used to create Call objects, which can make remote procedure calls to this service.

  Parameters:
    `url` - String containing the URL to the J2ME proxy server where this web service is registered
    `namespace` - String containing the namespace of the Service.
    `serviceName` - String containing the name of the Service to create.
  Returns:
    Service object representing a web service registered in the J2ME proxy server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Oracle Corporation. All Rights Reserved.